Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Skype.TRANSFER_SENDFILE_ERROR

    java.lang.Object
      java.lang.Enum<Skype.TRANSFER_SENDFILE_ERROR>
          com.skype.api.Skype.TRANSFER_SENDFILE_ERROR

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Skype.TRANSFER_SENDFILE_ERROR>

Enclosing class:
  Skype

    public static enum Skype.TRANSFER_SENDFILE_ERROR

extends java.lang.Enum<Skype.TRANSFER_SENDFILE_ERROR>

sync failure reasons when starting a transfer

Enum Constant Summary
`TRANSFER_BAD_FILENAME`
`TRANSFER_OPEN_FAILED`
`TRANSFER_OPEN_SUCCESS`
`TRANSFER_TOO_MANY_PARALLEL`

Method Summary
`static Skype.TRANSFER_SENDFILE_ERROR` | `fromString(java.lang.String s)`
`static Skype.TRANSFER_SENDFILE_ERROR` | `get(int code)`
`int` | `getId()`
`static Skype.TRANSFER_SENDFILE_ERROR` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Skype.TRANSFER_SENDFILE_ERROR[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRANSFER_OPEN_SUCCESS

    public static final Skype.TRANSFER_SENDFILE_ERROR TRANSFER_OPEN_SUCCESS

### TRANSFER_BAD_FILENAME

    public static final Skype.TRANSFER_SENDFILE_ERROR TRANSFER_BAD_FILENAME

### TRANSFER_OPEN_FAILED

    public static final Skype.TRANSFER_SENDFILE_ERROR TRANSFER_OPEN_FAILED

### TRANSFER_TOO_MANY_PARALLEL

    public static final Skype.TRANSFER_SENDFILE_ERROR TRANSFER_TOO_MANY_PARALLEL

Method Detail

### values

    public static Skype.TRANSFER_SENDFILE_ERROR[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Skype.TRANSFER_SENDFILE_ERROR c : Skype.TRANSFER_SENDFILE_ERROR.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Skype.TRANSFER_SENDFILE_ERROR valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Skype.TRANSFER_SENDFILE_ERROR get(int code)

### fromString

    public static Skype.TRANSFER_SENDFILE_ERROR fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.